> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all tax documents

> The endpoint returns a list of tax documents.



## OpenAPI

````yaml GET /v1/links/{link_id}/tax/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/links/{link_id}/tax/:
    parameters:
      - name: link_id
        in: path
        description: Link ID
        required: true
        schema:
          type: string
        example: 24d7e80942ce4ad58a93f70ce4115f5c
    get:
      tags:
        - Tax Documents
      summary: List all tax documents
      description: The endpoint returns a list of tax documents.
      operationId: tax-documents
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TaxDocument'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    TaxDocument:
      required:
        - document_type
      type: object
      properties:
        id:
          title: id
          description: Tax document ID
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        document_type:
          title: document_type
          description: Tax document type
          type: string
          enum:
            - W2
            - F1099
            - F1040
          readOnly: true
          example: W2
        document_subtype:
          title: document_subtype
          description: Tax document subtype
          type: string
          example: F1099_DIV
          enum:
            - F1099_DIV
            - F1099_G
            - F1099_INT
            - F1099_MISC
            - F1099_NEC
            - F1099_R
            - F_SSA1099
            - null
          readOnly: true
          nullable: true
        file:
          title: file
          description: Tax document file link
          type: string
          format: uri
          readOnly: true
          example: https://cdn.truv.com/files_examples/w2.pdf
        md5sum:
          title: md5sum
          description: Tax document md5sum
          type: string
          readOnly: true
          example: 24d7e80942ce4ad58a93f70ce4115f5c
        year:
          title: year
          description: Tax document year
          type: integer
          readOnly: true
          example: 2022
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````